Alembic Version 1.1

Public Types | Public Member Functions | List of all members
Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty Class Reference

`#include <OArrayProperty.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty:
[legend]

## Public Types
typedef OArrayProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
typedef OBasePropertyT< AbcA::ArrayPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::ArrayPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OArrayProperty ()
| OArrayProperty (OCompoundProperty iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OArrayProperty (AbcA::ArrayPropertyWriterPtr iPtr, const Argument &iArg0=Argument())
| OArrayProperty (AbcA::ArrayPropertyWriterPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~OArrayProperty ()
size_t | getNumSamples () const
void | set (const AbcA::ArraySample &iSample)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::ArrayPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
| OBasePropertyT ()
| OBasePropertyT (AbcA::ArrayPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
AbcA::ArrayPropertyWriterPtr | m_property

## Detailed Description

Definition at line 51 of file OArrayProperty.h.

## Member Typedef Documentation

## ◆ this_type

typedef OArrayProperty Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

Definition at line 57 of file OArrayProperty.h.

## Constructor & Destructor Documentation

## ◆ OArrayProperty() [1/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( |  | ) |
| inline

The default constructor creates an empty OArrayProperty function set. ...

Definition at line 65 of file OArrayProperty.h.

## ◆ OArrayProperty() [2/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const AbcA::DataType & | iDataType,
|  | const Argument & | iArg0 = `Argument()`,
|  | const Argument & | iArg1 = `Argument()`,
|  | const Argument & | iArg2 = `Argument()`
| ) |  |

Create a new OArrayProperty named iName as a child of compound iParent, of data type iDataType. The remaining optional arguments can be used to override the ErrorHandlerPolicy, specify MetaData, and to specify time sampling or time sampling index.

## ◆ OArrayProperty() [3/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( | AbcA::ArrayPropertyWriterPtr | iPtr,
|  | const Argument & | iArg0 = `Argument()`
| ) |  |
| inline

This attaches an OArrayProperty wrapper around an existing ArrayPropertyWriterPtr, with an optional error handling policy.

Definition at line 81 of file OArrayProperty.h.

## ◆ OArrayProperty() [4/4]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( | AbcA::ArrayPropertyWriterPtr | iPtr,
|  | WrapExistingFlag | iWrapFlag,
|  | const Argument & | iArg0 = `Argument()`
| ) |  |
| inline

Definition at line 88 of file OArrayProperty.h.

## ◆ ~OArrayProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::~OArrayProperty | ( |  | ) |

Default copy constructor used Default assignment operator used. Destructor ...

## Member Function Documentation

## ◆ getNumSamples()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::getNumSamples | ( |  | ) | const

Get the number of samples written so far. May change over time as more samples are written.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::getNumSamples().

Here is the caller graph for this function:

## ◆ getParent()

OCompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a OCompoundProperty wrapper.

## ◆ set()

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::set | ( | const AbcA::ArraySample & | iSample | ) |

Set a sample from the address of a datum. ...

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::set().

Here is the caller graph for this function:

## ◆ setFromPrevious()

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::setFromPrevious | ( |  | ) |

Set a sample from the previous sample. ...

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::setFromPrevious().

Here is the caller graph for this function:

## ◆ setTimeSampling() [1/2]

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

## ◆ setTimeSampling() [2/2]

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::setTimeSampling | ( | uint32_t | iIndex | ) |

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::setTimeSampling().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/OArrayProperty.h